This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 905580 - Sometimes DHCP client does not obtain the IP and networkmanger does not start
Sometimes DHCP client does not obtain the IP and networkmanger does not start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 12:18 EST by Mihirkumar Paulatsya
Modified: 2014-02-05 13:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:40:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mihirkumar Paulatsya 2013-01-29 12:18:12 EST
Description of problem: When I boot my system having Fedora 18. Sometime it does not obtain the ip address from my ISP.

It keeps on trying I guess three times but does not obtain the IP.

I could see the /var/log/messages as follows:


[root@localhost ~]# tail -f /var/log/messages 
Jan 30 02:50:46 localhost dhclient[1980]: All rights reserved.
Jan 30 02:50:46 localhost dhclient[1980]: For info, please visit https://www.isc.org/software/dhcp/
Jan 30 02:50:46 localhost dhclient[1980]: 
Jan 30 02:50:46 localhost NetworkManager[702]: <info> (p2p1): DHCPv4 state changed nbi -> preinit
Jan 30 02:50:46 localhost dhclient[1980]: Listening on LPF/p2p1/a4:ba:db:94:52:c3
Jan 30 02:50:46 localhost dhclient[1980]: Sending on   LPF/p2p1/a4:ba:db:94:52:c3
Jan 30 02:50:46 localhost dhclient[1980]: Sending on   Socket/fallback
Jan 30 02:50:46 localhost dhclient[1980]: DHCPREQUEST on p2p1 to 255.255.255.255 port 67 (xid=0x4b2de08)
Jan 30 02:50:47 localhost avahi-daemon[592]: Registering new address record for fe80::a6ba:dbff:fe94:52c3 on p2p1.*.
Jan 30 02:50:54 localhost dhclient[1980]: DHCPREQUEST on p2p1 to 255.255.255.255 port 67 (xid=0x4b2de08)
Jan 30 02:51:04 localhost dhclient[1980]: DHCPDISCOVER on p2p1 to 255.255.255.255 port 67 interval 7 (xid=0x5ae13528)
Jan 30 02:51:06 localhost NetworkManager[702]: <info> (p2p1): IP6 addrconf timed out or failed.
Jan 30 02:51:06 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
Jan 30 02:51:06 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv6 Configure Timeout) started...
Jan 30 02:51:06 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv6 Configure Timeout) complete.
Jan 30 02:51:11 localhost dhclient[1980]: DHCPDISCOVER on p2p1 to 255.255.255.255 port 67 interval 13 (xid=0x5ae13528)
Jan 30 02:51:24 localhost dhclient[1980]: DHCPDISCOVER on p2p1 to 255.255.255.255 port 67 interval 13 (xid=0x5ae13528)
Jan 30 02:51:31 localhost NetworkManager[702]: <warn> (p2p1): DHCPv4 request timed out.
Jan 30 02:51:31 localhost NetworkManager[702]: <info> (p2p1): canceled DHCP transaction, DHCP client pid 1980
Jan 30 02:51:31 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv4 Configure Timeout) scheduled...
Jan 30 02:51:31 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv4 Configure Timeout) started...
Jan 30 02:51:31 localhost NetworkManager[702]: <info> (p2p1): device state change: ip-config -> failed (reason 'ip-config-unavailable') [70 120 5]
Jan 30 02:51:31 localhost NetworkManager[702]: <warn> Activation (p2p1) failed for connection 'p2p1'
Jan 30 02:51:31 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 4 of 5 (IPv4 Configure Timeout) complete.
Jan 30 02:51:31 localhost NetworkManager[702]: <info> (p2p1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jan 30 02:51:31 localhost NetworkManager[702]: <info> (p2p1): deactivating device (reason 'none') [0]
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Auto-activating connection 'p2p1'.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) starting connection 'p2p1'
Jan 30 02:51:34 localhost NetworkManager[702]: <info> (p2p1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 1 of 5 (Device Prepare) scheduled...
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 1 of 5 (Device Prepare) started...
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 2 of 5 (Device Configure) scheduled...
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 1 of 5 (Device Prepare) complete.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 2 of 5 (Device Configure) starting...
Jan 30 02:51:34 localhost NetworkManager[702]: <info> (p2p1): device state change: prepare -> config (reason 'none') [40 50 0]
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 2 of 5 (Device Configure) successful.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 2 of 5 (Device Configure) complete.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 3 of 5 (IP Configure Start) scheduled.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 3 of 5 (IP Configure Start) started...
Jan 30 02:51:34 localhost NetworkManager[702]: <info> (p2p1): device state change: config -> ip-config (reason 'none') [50 70 0]
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Beginning DHCPv4 transaction (timeout in 45 seconds)
Jan 30 02:51:34 localhost NetworkManager[702]: <info> dhclient started with pid 2010
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Beginning IP6 addrconf.
Jan 30 02:51:34 localhost avahi-daemon[592]: Withdrawing address record for fe80::a6ba:dbff:fe94:52c3 on p2p1.
Jan 30 02:51:34 localhost NetworkManager[702]: <info> Activation (p2p1) Stage 3 of 5 (IP Configure Start) complete.
Jan 30 02:51:34 localhost dhclient[2010]: Internet Systems Consortium DHCP Client 4.2.4-P2
Jan 30 02:51:34 localhost dhclient[2010]: Copyright 2004-2012 Internet Systems Consortium.
Jan 30 02:51:34 localhost dhclient[2010]: All rights reserved.
Jan 30 02:51:34 localhost dhclient[2010]: For info, please visit https://www.isc.org/software/dhcp/
Jan 30 02:51:34 localhost dhclient[2010]: 
Jan 30 02:51:34 localhost NetworkManager[702]: <info> (p2p1): DHCPv4 state changed nbi -> preinit
Jan 30 02:51:34 localhost dhclient[2010]: Listening on LPF/p2p1/a4:ba:db:94:52:c3
Jan 30 02:51:34 localhost dhclient[2010]: Sending on   LPF/p2p1/a4:ba:db:94:52:c3
Jan 30 02:51:34 localhost dhclient[2010]: Sending on   Socket/fallback
Jan 30 02:51:34 localhost dhclient[2010]: DHCPREQUEST on p2p1 to 255.255.255.255 port 67 (xid=0x7faaaa42)
Jan 30 02:51:36 localhost avahi-daemon[592]: Registering new address record for fe80::a6ba:dbff:fe94:52c3 on p2p1.*.
Jan 30 02:51:38 localhost dhclient[2010]: DHCPREQUEST on p2p1 to 255.255.255.255 port 67 (xid=0x7faaaa42) 




Version-Release number of selected component (if applicable):
dhclient-4.2.4-23.P2.fc18.x86_64

How reproducible:
As it happens sometime I restart and it may happen that It may not connect or it may connect also :)
Steps to Reproduce:
1.
2.
3.
  
Actual results:
DHCP client does not obtain the IP addresses from ISP

Expected results:
DHCP client should obtain the IP addresses from ISP

Additional info:
It could be the same bug reported

613159 dhcp client can not obtain address
Comment 1 Jiri Popelka 2013-01-29 12:50:50 EST
I've never seen a similar report before. This could as well be some problem on your ISP's side.

I'm also not sure how to debug this. Usually the fist step when I have no clue where the problem lies is to switch firewall and SELinux off, so you could give it a try too ('service firewalld stop' and 'setenforce 0'), but this is unlikely the cause.

You could also try to use wireshark to see packets flowing from/to your machine and if you see some DHCPREPLY, which the client seems to ignore, you can save the dump to file and attach it here so I can dissect it.

I have no other ideas at the moment.
Comment 2 Mihirkumar Paulatsya 2013-01-29 13:11:30 EST
Hi Jiri,

Thanks for giving clues.

I am sure there is nothing wrong from my ISP because I am running with a dual boot and I could always see the connection up and running on my Windows 7.

This is something which is not reproducible everytime.

It sometimes connects very easily and sometimes gives the error.

I will download wireshark and send you more details soon.

Many many thanks again for helping me.
Comment 3 Fedora End Of Life 2013-12-21 05:58:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 13:40:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.